import sys
sys.path.append('.')
sys.path.append('./examples')
import machine
import time
from machine import Pin, PWM
from LCD_2in import LCD_2in
from CST816D import Touch
from QMI8658 import QMI8658
from LVGL import LVGL
from LVGL_example import WIDGETS

machine.freq(240_000_000)
    
if __name__=='__main__':
  
    print("LCD_2in_LCGL_test Demo")
    # Init LCD
    LCD = LCD_2in()
    print("Init LCD done")
    
    # Init Touch
    TSC = Touch(mode=2,LCD=LCD)
    print("Init TSC done")
    
    # Init IMU
    IMU = QMI8658()
    print("Init IMU done")
    
    # Init LVGL
    LVGL(LCD=LCD,TSC=TSC)
    print("Init LVGL done")
    
    # Init WIDGETS
    WIDGETS(LCD=LCD,TSC=TSC,IMU=IMU)
    print("Init WIDGETS done")

    while True:
        time.sleep(1)
